package com.tuoheng.admin.service.third.oidc;

import com.tuoheng.admin.entity.Tenant;
import com.tuoheng.admin.entity.User;
import com.tuoheng.admin.request.third.oidc.CreateOidcTenantRequest;
import com.tuoheng.admin.request.third.oidc.DeletedOidcTenantRequest;
import com.tuoheng.admin.request.third.oidc.EditOidcTenantRequest;
import com.tuoheng.common.core.utils.JsonResult;

public interface OidcService {

    JsonResult addUser(User user, String password, Tenant tenant);

    JsonResult editUser(User user);

    JsonResult editUserPassword(User user, String password);

    JsonResult createTenant(CreateOidcTenantRequest request);

    JsonResult editTenant(EditOidcTenantRequest request);

    JsonResult deletedTenant(DeletedOidcTenantRequest request);

    JsonResult getRoleList();

    JsonResult getMenuList(Integer roleId);
}
